# std::cauchy_distribution::cauchy_distribution

From cppreference.com
< cpp‎ | numeric‎ | random‎ | cauchy distribution

explicit cauchy_distribution( RealType a = 0.0, RealType b = 1.0 ); | (1) | (since C++11)
explicit cauchy_distribution( const param_type& params ); | (2) | (since C++11)

Constructs a new distribution object. The first version uses `a` and `b` as the distribution parameters, the second version uses `params` as the distribution parameters.

### Parameters

a | - | the a distribution parameter (location)
b | - | the b distribution parameter (scale)
params | - | the distribution parameter set

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/cauchy_distribution/cauchy_distribution&oldid=62890"